Index: main/trunk/greenstone2/common-src/indexers/mg/configure.in
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/configure.in	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/configure.in	(revision 25147)
@@ -34,23 +34,9 @@
 AC_SUBST(ENABLE_JAVA)
 
-AC_MSG_CHECKING(to see if architecture is 64-bit)
-arch_64bit=no
-case "$host_cpu" in
-x86_64) arch_64bit=yes ;;
-esac
-
-if test "$arch_64bit" = yes; then
-  AC_MSG_RESULT(yes)
-  if test -z "$COMPAT32BITFLAGS" ; then
-    COMPAT32BITFLAGS="-m32"
-  fi
-else
-  AC_MSG_RESULT(no)
-  if test -z "$COMPAT32BITFLAGS" ; then
-    COMPAT32BITFLAGS=
-  fi
-fi
-AC_SUBST(COMPAT32BITFLAGS)
-
+dnl AC_MSG_CHECKING(to see if architecture is 64-bit)
+dnl arch_64bit=no
+dnl case "$host_cpu" in
+dnl x86_64) arch_64bit=yes ;;
+dnl esac
 
 dnl Checks for programs.
Index: main/trunk/greenstone2/common-src/indexers/mg/jni/MGRetrieveWrapperImpl.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/jni/MGRetrieveWrapperImpl.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/jni/MGRetrieveWrapperImpl.c	(revision 25147)
@@ -180,5 +180,5 @@
 
   /* Save the object on the Java side */
-  (*j_env)->SetIntField(j_env, j_obj, FID_mg_data, (long) data);
+  (*j_env)->SetIntField(j_env, j_obj, FID_mg_data, (mg_s_long) data);
 
   /* Initialise MG environment variables */
@@ -250,5 +250,5 @@
   query_data* qd;
 
-  u_long pos, len;
+  mg_u_long pos, len;
   u_char* c_buffer = NULL;
   u_char* uc_buffer = NULL;
@@ -287,7 +287,7 @@
 
   /* Get the document position and length in the text file */
-  printf("Fetching document number %ld...\n", (unsigned long) j_docnum);
-  FetchDocStart(qd, (unsigned long) j_docnum, &pos, &len);
-  printf("Fetched document start. Pos: %ld, Len: %ld\n", pos, len);
+  printf("Fetching document number %d...\n", (mg_u_long) j_docnum);
+  FetchDocStart(qd, (mg_u_long) j_docnum, &pos, &len);
+  printf("Fetched document start. Pos: %d, Len: %d\n", pos, len);
 
   /* Allocate memory for the document text (from mg/src/text/mgquery.c:RawDocOutput()) */
Index: main/trunk/greenstone2/common-src/indexers/mg/jni/MGSearchWrapperImpl.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/jni/MGSearchWrapperImpl.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/jni/MGSearchWrapperImpl.c	(revision 25147)
@@ -619,5 +619,5 @@
 
   /* Print the data to a character array */
-  sprintf(result, "Query params:\nindex\t\t%s\ncasefold\t%d\nstem\t\t%d\nquery type\t%s\nmax docs\t%ld\n",
+  sprintf(result, "Query params:\nindex\t\t%s\ncasefold\t%d\nstem\t\t%d\nquery type\t%s\nmax docs\t%d\n",
 	  (data->queryInfo->index == NULL ? "<none loaded>" : data->queryInfo->index),
 	  (data->defaultStemMethod & 1),
Index: main/trunk/greenstone2/common-src/indexers/mg/jni/MGWrapperImpl.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/jni/MGWrapperImpl.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/jni/MGWrapperImpl.c	(revision 25147)
@@ -168,5 +168,5 @@
 
   /* Save the object on the Java side */
-  (*j_env)->SetIntField(j_env, j_obj, FID_mg_data, (long) data);
+  (*j_env)->SetIntField(j_env, j_obj, FID_mg_data, (mg_s_long) data);
 
   /* Initialise MG environment variables */
@@ -285,5 +285,5 @@
   query_data* qd;
 
-  u_long pos, len;
+  mg_u_long pos, len;
   u_char* c_buffer = NULL;
   u_char* uc_buffer = NULL;
@@ -322,7 +322,7 @@
 
   /* Get the document position and length in the text file */
-  printf("Fetching document number %ld...\n", (unsigned long) j_docnum);
-  FetchDocStart(qd, (unsigned long) j_docnum, &pos, &len);
-  printf("Fetched document start. Pos: %ld, Len: %ld\n", pos, len);
+  printf("Fetching document number %d...\n", (mg_u_long) j_docnum);
+  FetchDocStart(qd, (mg_u_long) j_docnum, &pos, &len);
+  printf("Fetched document start. Pos: %d, Len: %d\n", pos, len);
 
   /* Allocate memory for the document text (from mg/src/text/mgquery.c:RawDocOutput()) */
@@ -730,5 +730,5 @@
 
   /* Print the data to a character array */
-  sprintf(result, "Query params:\nindex\t\t%s\ncasefold\t%d\nstem\t\t%d\nquery type\t%s\nmax docs\t%ld\n",
+  sprintf(result, "Query params:\nindex\t\t%s\ncasefold\t%d\nstem\t\t%d\nquery type\t%s\nmax docs\t%d\n",
 	  (data->queryInfo->index == NULL ? "<none loaded>" : data->queryInfo->index),
 	  (data->defaultStemMethod & 1),
Index: main/trunk/greenstone2/common-src/indexers/mg/jni/MGWrapperImpl.h
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/jni/MGWrapperImpl.h	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/jni/MGWrapperImpl.h	(revision 25147)
@@ -36,5 +36,5 @@
   char* index;
   /* Maximum number of documents to retrieve */
-  unsigned long maxDocs;
+  mg_u_long maxDocs;
   /* Whether term frequency information is desired (boolean value) */
   int needTermFreqs;
Index: main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_gen.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_gen.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_gen.c	(revision 25147)
@@ -28,8 +28,8 @@
 int fprintf (FILE *, const char *,...);
 
-unsigned long 
-BIO_Unary_Length (unsigned long val)
+mg_u_long 
+BIO_Unary_Length (mg_u_long val)
 {
-  register unsigned long num;
+  register mg_u_long num;
   UNARY_LENGTH (val, num);
   return (num);
@@ -37,8 +37,8 @@
 
 
-unsigned long 
-BIO_Binary_Length (unsigned long val, unsigned long b)
+mg_u_long 
+BIO_Binary_Length (mg_u_long val, mg_u_long b)
 {
-  register unsigned long num;
+  register mg_u_long num;
   BINARY_LENGTH (val, b, num);
   return (num);
@@ -46,8 +46,8 @@
 
 
-unsigned long 
-BIO_Gamma_Length (unsigned long val)
+mg_u_long 
+BIO_Gamma_Length (mg_u_long val)
 {
-  register unsigned long num;
+  register mg_u_long num;
   GAMMA_LENGTH (val, num);
   return (num);
@@ -55,8 +55,8 @@
 
 
-unsigned long 
-BIO_Delta_Length (unsigned long val)
+mg_u_long 
+BIO_Delta_Length (mg_u_long val)
 {
-  register unsigned long num;
+  register mg_u_long num;
   DELTA_LENGTH (val, num);
   return (num);
@@ -64,16 +64,16 @@
 
 
-unsigned long 
-BIO_Elias_Length (unsigned long val, unsigned long b, double s)
+mg_u_long 
+BIO_Elias_Length (mg_u_long val, mg_u_long b, double s)
 {
-  register unsigned long num;
+  register mg_u_long num;
   ELIAS_LENGTH (val, b, s, num);
   return (num);
 }
 
-unsigned long 
-BIO_Bblock_Length (unsigned long val, unsigned long b)
+mg_u_long 
+BIO_Bblock_Length (mg_u_long val, mg_u_long b)
 {
-  register unsigned long num;
+  register mg_u_long num;
   BBLOCK_LENGTH (val, b, num);
   return (num);
Index: main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_gen.h
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_gen.h	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_gen.h	(revision 25147)
@@ -33,15 +33,15 @@
 #define H_BITIO_GEN
 
-unsigned long BIO_Unary_Length (unsigned long val);
+mg_u_long BIO_Unary_Length (mg_u_long val);
 
-unsigned long BIO_Binary_Length (unsigned long val, unsigned long b);
+mg_u_long BIO_Binary_Length (mg_u_long val, mg_u_long b);
 
-unsigned long BIO_Gamma_Length (unsigned long val);
+mg_u_long BIO_Gamma_Length (mg_u_long val);
 
-unsigned long BIO_Delta_Length (unsigned long val);
+mg_u_long BIO_Delta_Length (mg_u_long val);
 
-unsigned long BIO_Elias_Length (unsigned long val, unsigned long b, double s);
+mg_u_long BIO_Elias_Length (mg_u_long val, mg_u_long b, double s);
 
-unsigned long BIO_Bblock_Length (unsigned long val, unsigned long b);
+mg_u_long BIO_Bblock_Length (mg_u_long val, mg_u_long b);
 
 int BIO_Bblock_Init (int N, int p);
Index: main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_m.h
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_m.h	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_m.h	(revision 25147)
@@ -50,5 +50,5 @@
 #define POSITIVE(f, x)							\
   if ((x)<=0) 								\
-    fprintf(stderr,"Error: Cannot "#f" encode %lu\n",(unsigned long)x),exit(1);
+    fprintf(stderr,"Error: Cannot "#f" encode %d\n",(mg_u_long)x),exit(1);
 
 
@@ -75,5 +75,5 @@
 #define UNARY_ENCODE(x)							\
 do {									\
-  register unsigned long _B_x = (x);					\
+  register mg_u_long _B_x = (x);					\
   BIO_ENCODE_PROLOGUE;							\
   POSITIVE(unary, _B_x);						\
@@ -85,5 +85,5 @@
 #define UNARY_ENCODE_L(x, count)					\
 do {									\
-  register unsigned long _B_x = (x);					\
+  register mg_u_long _B_x = (x);					\
   BIO_ENCODE_PROLOGUE;							\
   POSITIVE(unary, _B_x);						\
@@ -124,6 +124,6 @@
 #define BINARY_ENCODE(x, b)						\
 do {									\
-  register unsigned long _B_x = (x);					\
-  register unsigned long _B_b = (b);					\
+  register mg_u_long _B_x = (x);					\
+  register mg_u_long _B_b = (b);					\
   register int _B_nbits, _B_logofb, _B_thresh;				\
   BIO_ENCODE_PROLOGUE;							\
@@ -145,6 +145,6 @@
 #define BINARY_ENCODE_L(x, b, count)					\
 do {									\
-  register unsigned long _B_x = (x);					\
-  register unsigned long _B_b = (b);					\
+  register mg_u_long _B_x = (x);					\
+  register mg_u_long _B_b = (b);					\
   register int _B_nbits, _B_logofb, _B_thresh;				\
   BIO_ENCODE_PROLOGUE;							\
@@ -168,6 +168,6 @@
 #define BINARY_DECODE(x, b)						\
 do {									\
-  register unsigned long _B_x = 0;					\
-  register unsigned long _B_b = (b);					\
+  register mg_u_long _B_x = 0;					\
+  register mg_u_long _B_b = (b);					\
   register int _B_i, _B_logofb, _B_thresh;				\
   BIO_DECODE_PROLOGUE;							\
@@ -193,6 +193,6 @@
 #define BINARY_DECODE_L(x, b, count)					\
 do {									\
-  register unsigned long _B_x = 0;					\
-  register unsigned long _B_b = (b);					\
+  register mg_u_long _B_x = 0;					\
+  register mg_u_long _B_b = (b);					\
   register int _B_i, _B_logofb, _B_thresh;				\
   BIO_DECODE_PROLOGUE;							\
@@ -220,6 +220,6 @@
 #define BINARY_LENGTH(x, b, count)					\
 do {									\
-  register unsigned long _B_x = (x);					\
-  register unsigned long _B_b = (b);					\
+  register mg_u_long _B_x = (x);					\
+  register mg_u_long _B_b = (b);					\
   register int _B_nbits, _B_logofb, _B_thresh;				\
   POSITIVE(binary, _B_x);						\
@@ -240,5 +240,5 @@
 #define GAMMA_ENCODE(x)							\
 do {									\
-  register unsigned long _B_xx = (x);					\
+  register mg_u_long _B_xx = (x);					\
   register int _B_logofb;						\
   register int _B_nbits;						\
@@ -255,5 +255,5 @@
 #define GAMMA_ENCODE_L(x, count)					\
 do {									\
-  register unsigned long _B_xx = (x);					\
+  register mg_u_long _B_xx = (x);					\
   register int _B_logofb;						\
   register int _B_nbits;						\
@@ -271,5 +271,5 @@
 #define GAMMA_DECODE(x)							\
 do {									\
-  register unsigned long _B_xx = 1;					\
+  register mg_u_long _B_xx = 1;					\
   register int _B_nbits = 0;						\
   BIO_DECODE_PROLOGUE;							\
@@ -283,5 +283,5 @@
 #define GAMMA_DECODE_L(x, count)					\
 do {									\
-  register unsigned long _B_xx = 1;					\
+  register mg_u_long _B_xx = 1;					\
   register int _B_nbits = 0;						\
   BIO_DECODE_PROLOGUE;							\
@@ -296,5 +296,5 @@
 #define GAMMA_LENGTH(x, count)						\
 do {									\
-  register unsigned long _B_xx = (x);					\
+  register mg_u_long _B_xx = (x);					\
   register int _B_logofb;						\
   POSITIVE(gamma, _B_xx);						\
@@ -310,5 +310,5 @@
 #define DELTA_ENCODE(x)							\
 do {									\
-  register unsigned long _B_xxx = (x);					\
+  register mg_u_long _B_xxx = (x);					\
   register int _B_logx;							\
   FLOORLOG_2(_B_xxx, _B_logx);						\
@@ -319,5 +319,5 @@
 #define DELTA_ENCODE_L(x, count)					\
 do {									\
-  register unsigned long _B_xxx = (x);					\
+  register mg_u_long _B_xxx = (x);					\
   register int _B_logx;							\
   FLOORLOG_2(_B_xxx, _B_logx);						\
@@ -329,5 +329,5 @@
 #define DELTA_DECODE(x)							\
 do {									\
-  register unsigned long _B_xxx;					\
+  register mg_u_long _B_xxx;					\
   register int _B_logx;							\
   GAMMA_DECODE(_B_logx); --_B_logx;					\
@@ -338,5 +338,5 @@
 #define DELTA_DECODE_L(x, count)					\
 do {									\
-  register unsigned long _B_xxx;					\
+  register mg_u_long _B_xxx;					\
   register int _B_logx;							\
   GAMMA_DECODE_L(_B_logx, count); --_B_logx;				\
@@ -347,5 +347,5 @@
 #define DELTA_LENGTH(x, count)						\
 do {									\
-  register unsigned long _B_xxx = (x);					\
+  register mg_u_long _B_xxx = (x);					\
   register int _B_logx, _B_dcount;					\
   FLOORLOG_2(_B_xxx, _B_logx);						\
@@ -363,6 +363,6 @@
 #define ELIAS_ENCODE(x, b, s)						\
 do {									\
-  register unsigned long _B_xx = (x);					\
-  register unsigned long _B_b = (b);					\
+  register mg_u_long _B_xx = (x);					\
+  register mg_u_long _B_b = (b);					\
   register double _B_s = (s);						\
   register int _B_lower=1, _B_upper=1;					\
@@ -383,6 +383,6 @@
 #define ELIAS_ENCODE_L(x, b, s, count)					\
 do {									\
-  register unsigned long _B_xx = (x);					\
-  register unsigned long _B_b = (b);					\
+  register mg_u_long _B_xx = (x);					\
+  register mg_u_long _B_b = (b);					\
   register double _B_s = (s);						\
   register int _B_lower=1, _B_upper=1;					\
@@ -403,6 +403,6 @@
 #define ELIAS_DECODE(x, b, s)						\
 do {									\
-  register unsigned long _B_xx;						\
-  register unsigned long _B_b = (b);					\
+  register mg_u_long _B_xx;						\
+  register mg_u_long _B_b = (b);					\
   register double _B_s = (s);						\
   register int _B_lower=1, _B_upper=1;					\
@@ -423,6 +423,6 @@
 #define ELIAS_DECODE_L(x, b, s, count)					\
 do {									\
-  register unsigned long _B_xx;						\
-  register unsigned long _B_b = (b);					\
+  register mg_u_long _B_xx;						\
+  register mg_u_long _B_b = (b);					\
   register double _B_s = (s);						\
   register int _B_lower=1, _B_upper=1;					\
@@ -443,6 +443,6 @@
 #define ELIAS_LENGTH(x, b, s, count)					\
 do {									\
-  register unsigned long _B_xx = (x);					\
-  register unsigned long _B_b = (b);					\
+  register mg_u_long _B_xx = (x);					\
+  register mg_u_long _B_b = (b);					\
   register double _B_s = (s);						\
   register int _B_lower=1, _B_upper=1;					\
@@ -468,6 +468,6 @@
 #define BBLOCK_ENCODE(x, b)						\
 do {									\
-  register unsigned long _B_xx = (x);					\
-  register unsigned long _B_bb = (b);					\
+  register mg_u_long _B_xx = (x);					\
+  register mg_u_long _B_bb = (b);					\
   register int _B_xdivb = 0;						\
   POSITIVE(bblock, _B_xx);						\
@@ -484,6 +484,6 @@
 #define BBLOCK_ENCODE_L(x, b, count)					\
 do {									\
-  register unsigned long _B_xx = (x);					\
-  register unsigned long _B_bb = (b);					\
+  register mg_u_long _B_xx = (x);					\
+  register mg_u_long _B_bb = (b);					\
   register int _B_xdivb = 0;						\
   POSITIVE(bblock, _B_xx);						\
@@ -500,6 +500,6 @@
 #define BBLOCK_DECODE(x, b)						\
 do {									\
-  register unsigned long _B_x1, _B_xx = 0;				\
-  register unsigned long _B_bb = (b);					\
+  register mg_u_long _B_x1, _B_xx = 0;				\
+  register mg_u_long _B_bb = (b);					\
   register int _B_xdivb;						\
   UNARY_DECODE(_B_xdivb); --_B_xdivb;					\
@@ -512,6 +512,6 @@
 #define BBLOCK_DECODE_L(x, b, count)					\
 do {									\
-  register unsigned long _B_x1, _B_xx = 0;				\
-  register unsigned long _B_bb = (b);					\
+  register mg_u_long _B_x1, _B_xx = 0;				\
+  register mg_u_long _B_bb = (b);					\
   register int _B_xdivb;						\
   UNARY_DECODE_L(_B_xdivb, count); --_B_xdivb;				\
@@ -524,6 +524,6 @@
 #define BBLOCK_LENGTH(x, b, count)					\
 do {									\
-  register unsigned long _B_bcount, _B_xx = (x);			\
-  register unsigned long _B_bb = (b);					\
+  register mg_u_long _B_bcount, _B_xx = (x);			\
+  register mg_u_long _B_bb = (b);					\
   register int _B_xdivb = 0;						\
   POSITIVE(bblock, _B_xx);						\
Index: main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_m_mems.h
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_m_mems.h	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_m_mems.h	(revision 25147)
@@ -36,5 +36,5 @@
   {
     unsigned char *Base;
-    unsigned long pos;
+    mg_u_long pos;
   }
 mems_bitio_state;
@@ -44,10 +44,10 @@
   {									\
     register unsigned char *__base = b;					\
-    register unsigned long __pos = p;
+    register mg_u_long __pos = p;
 
 #define ENCODE_CONTINUE(b)						\
   {									\
     register unsigned char *__base = (b).Base;				\
-    register unsigned long __pos = (b).pos;
+    register mg_u_long __pos = (b).pos;
 
 #define ENCODE_BIT(b)							\
@@ -76,10 +76,10 @@
   {									\
     register unsigned char *__base = b;					\
-    register unsigned long __pos = p;
+    register mg_u_long __pos = p;
 
 #define DECODE_CONTINUE(b)						\
   {									\
     register unsigned char *__base = (b).Base;				\
-    register unsigned long __pos = (b).pos;
+    register mg_u_long __pos = (b).pos;
 
 #define DECODE_ADD_FF(b)						\
Index: main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_m_random.h
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_m_random.h	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_m_random.h	(revision 25147)
@@ -38,9 +38,9 @@
     FILE *File;
     unsigned char *Buf;
-    unsigned long Base;
-    unsigned long Used;
-    unsigned long pos;
-    unsigned long len;
-    unsigned long sft;
+    mg_u_long Base;
+    mg_u_long Used;
+    mg_u_long pos;
+    mg_u_long len;
+    mg_u_long sft;
   }
 random_bitio_state;
@@ -51,9 +51,9 @@
     register FILE *__file = f;						\
     register unsigned char *__buf;					\
-    register unsigned long __pos = 0;					\
-    register unsigned long __base = 0;					\
-    register unsigned long __is_used = 0;					\
-    register unsigned long __len = (l)-1;				\
-    register unsigned long __sft = 0;					\
+    register mg_u_long __pos = 0;					\
+    register mg_u_long __base = 0;					\
+    register mg_u_long __is_used = 0;					\
+    register mg_u_long __len = (l)-1;				\
+    register mg_u_long __sft = 0;					\
     while (__len) { ++__sft; __len >>=1; }				\
     __len = 1<<__sft;							\
@@ -66,9 +66,9 @@
     register FILE *__file = (b).File;					\
     register unsigned char *__buf = (b).Buf;				\
-    register unsigned long __pos = (b).pos;				\
-    register unsigned long __base = (b).Base;				\
-    register unsigned long __is_used = (b).Used;				\
-    register unsigned long __len = (b).len;				\
-    register unsigned long __sft = (b).sft;
+    register mg_u_long __pos = (b).pos;				\
+    register mg_u_long __base = (b).Base;				\
+    register mg_u_long __is_used = (b).Used;				\
+    register mg_u_long __len = (b).len;				\
+    register mg_u_long __sft = (b).sft;
 
 #define SEEK fprintf(stderr, "Seek to %d\n",__base)
Index: main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_mem.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_mem.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_mem.c	(revision 25147)
@@ -55,6 +55,6 @@
 
 void 
-BIO_Mem_Unary_Encode (unsigned long val, mem_bitio_state * bs,
-		      unsigned long *bits)
+BIO_Mem_Unary_Encode (mg_u_long val, mem_bitio_state * bs,
+		      mg_u_long *bits)
 {
   ENCODE_CONTINUE (*bs)
@@ -67,9 +67,9 @@
 
 
-unsigned long 
+mg_u_long 
 BIO_Mem_Unary_Decode (mem_bitio_state * bs,
-		      unsigned long *bits)
-{
-  register unsigned long val;
+		      mg_u_long *bits)
+{
+  register mg_u_long val;
   DECODE_CONTINUE (*bs)
     if (bits)
@@ -88,6 +88,6 @@
 
 void 
-BIO_Mem_Binary_Encode (unsigned long val, unsigned long b,
-		       mem_bitio_state * bs, unsigned long *bits)
+BIO_Mem_Binary_Encode (mg_u_long val, mg_u_long b,
+		       mem_bitio_state * bs, mg_u_long *bits)
 {
   ENCODE_CONTINUE (*bs)
@@ -100,9 +100,9 @@
 
 
-unsigned long 
-BIO_Mem_Binary_Decode (unsigned long b, mem_bitio_state * bs,
-		       unsigned long *bits)
-{
-  register unsigned long val;
+mg_u_long 
+BIO_Mem_Binary_Decode (mg_u_long b, mem_bitio_state * bs,
+		       mg_u_long *bits)
+{
+  register mg_u_long val;
   DECODE_CONTINUE (*bs)
     if (bits)
@@ -121,6 +121,6 @@
 
 void 
-BIO_Mem_Gamma_Encode (unsigned long val, mem_bitio_state * bs,
-		      unsigned long *bits)
+BIO_Mem_Gamma_Encode (mg_u_long val, mem_bitio_state * bs,
+		      mg_u_long *bits)
 {
   ENCODE_CONTINUE (*bs)
@@ -133,8 +133,8 @@
 
 
-unsigned long 
-BIO_Mem_Gamma_Decode (mem_bitio_state * bs, unsigned long *bits)
-{
-  register unsigned long val;
+mg_u_long 
+BIO_Mem_Gamma_Decode (mem_bitio_state * bs, mg_u_long *bits)
+{
+  register mg_u_long val;
   DECODE_CONTINUE (*bs)
     if (bits)
@@ -150,6 +150,6 @@
 
 void 
-BIO_Mem_Delta_Encode (unsigned long val, mem_bitio_state * bs,
-		      unsigned long *bits)
+BIO_Mem_Delta_Encode (mg_u_long val, mem_bitio_state * bs,
+		      mg_u_long *bits)
 {
   ENCODE_CONTINUE (*bs)
@@ -162,8 +162,8 @@
 
 
-unsigned long 
-BIO_Mem_Delta_Decode (mem_bitio_state * bs, unsigned long *bits)
-{
-  register unsigned long val;
+mg_u_long 
+BIO_Mem_Delta_Decode (mem_bitio_state * bs, mg_u_long *bits)
+{
+  register mg_u_long val;
   DECODE_CONTINUE (*bs)
     if (bits)
@@ -176,6 +176,6 @@
 
 void 
-BIO_Mem_Elias_Encode (unsigned long val, unsigned long b, double s,
-		      mem_bitio_state * bs, unsigned long *bits)
+BIO_Mem_Elias_Encode (mg_u_long val, mg_u_long b, double s,
+		      mem_bitio_state * bs, mg_u_long *bits)
 {
   ENCODE_CONTINUE (*bs)
@@ -188,9 +188,9 @@
 
 
-unsigned long 
-BIO_Mem_Elias_Decode (unsigned long b, double s,
-		      mem_bitio_state * bs, unsigned long *bits)
-{
-  register unsigned long val;
+mg_u_long 
+BIO_Mem_Elias_Decode (mg_u_long b, double s,
+		      mem_bitio_state * bs, mg_u_long *bits)
+{
+  register mg_u_long val;
   DECODE_CONTINUE (*bs)
     if (bits)
@@ -203,6 +203,6 @@
 
 void 
-BIO_Mem_Bblock_Encode (unsigned long val, unsigned long b,
-		       mem_bitio_state * bs, unsigned long *bits)
+BIO_Mem_Bblock_Encode (mg_u_long val, mg_u_long b,
+		       mem_bitio_state * bs, mg_u_long *bits)
 {
   ENCODE_CONTINUE (*bs)
@@ -215,9 +215,9 @@
 
 
-unsigned long 
-BIO_Mem_Bblock_Decode (unsigned long b, mem_bitio_state * bs,
-		       unsigned long *bits)
-{
-  register unsigned long val;
+mg_u_long 
+BIO_Mem_Bblock_Decode (mg_u_long b, mem_bitio_state * bs,
+		       mg_u_long *bits)
+{
+  register mg_u_long val;
   DECODE_CONTINUE (*bs)
     if (bits)
@@ -230,5 +230,5 @@
 
 void 
-BIO_Mem_Decode_Seek (unsigned long pos, mem_bitio_state * bs)
+BIO_Mem_Decode_Seek (mg_u_long pos, mem_bitio_state * bs)
 {
   DECODE_CONTINUE (*bs)
Index: main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_mem.h
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_mem.h	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_mem.h	(revision 25147)
@@ -61,42 +61,42 @@
 
 
-void BIO_Mem_Unary_Encode (unsigned long val, mem_bitio_state * bs,
-			   unsigned long *bits);
-unsigned long BIO_Mem_Unary_Decode (mem_bitio_state * bs,
-				    unsigned long *bits);
+void BIO_Mem_Unary_Encode (mg_u_long val, mem_bitio_state * bs,
+			   mg_u_long *bits);
+mg_u_long BIO_Mem_Unary_Decode (mem_bitio_state * bs,
+				    mg_u_long *bits);
 
 
 
-void BIO_Mem_Binary_Encode (unsigned long val, unsigned long b,
-			    mem_bitio_state * bs, unsigned long *bits);
-unsigned long BIO_Mem_Binary_Decode (unsigned long b, mem_bitio_state * bs,
-				     unsigned long *bits);
+void BIO_Mem_Binary_Encode (mg_u_long val, mg_u_long b,
+			    mem_bitio_state * bs, mg_u_long *bits);
+mg_u_long BIO_Mem_Binary_Decode (mg_u_long b, mem_bitio_state * bs,
+				     mg_u_long *bits);
 
 
 
-void BIO_Mem_Gamma_Encode (unsigned long val, mem_bitio_state * bs,
-			   unsigned long *bits);
-unsigned long BIO_Mem_Gamma_Decode (mem_bitio_state * bs, unsigned long *bits);
+void BIO_Mem_Gamma_Encode (mg_u_long val, mem_bitio_state * bs,
+			   mg_u_long *bits);
+mg_u_long BIO_Mem_Gamma_Decode (mem_bitio_state * bs, mg_u_long *bits);
 
 
 
-void BIO_Mem_Delta_Encode (unsigned long val, mem_bitio_state * bs,
-			   unsigned long *bits);
-unsigned long BIO_Mem_Delta_Decode (mem_bitio_state * bs, unsigned long *bits);
+void BIO_Mem_Delta_Encode (mg_u_long val, mem_bitio_state * bs,
+			   mg_u_long *bits);
+mg_u_long BIO_Mem_Delta_Decode (mem_bitio_state * bs, mg_u_long *bits);
 
 
-void BIO_Mem_Elias_Encode (unsigned long val, unsigned long b, double s,
-			   mem_bitio_state * bs, unsigned long *bits);
-unsigned long BIO_Mem_Elias_Decode (unsigned long b, double s,
-				 mem_bitio_state * bs, unsigned long *bits);
+void BIO_Mem_Elias_Encode (mg_u_long val, mg_u_long b, double s,
+			   mem_bitio_state * bs, mg_u_long *bits);
+mg_u_long BIO_Mem_Elias_Decode (mg_u_long b, double s,
+				 mem_bitio_state * bs, mg_u_long *bits);
 
 
-void BIO_Mem_Bblock_Encode (unsigned long val, unsigned long b,
-			    mem_bitio_state * bs, unsigned long *bits);
-unsigned long BIO_Mem_Bblock_Decode (unsigned long b, mem_bitio_state * bs,
-				     unsigned long *bits);
+void BIO_Mem_Bblock_Encode (mg_u_long val, mg_u_long b,
+			    mem_bitio_state * bs, mg_u_long *bits);
+mg_u_long BIO_Mem_Bblock_Decode (mg_u_long b, mem_bitio_state * bs,
+				     mg_u_long *bits);
 
 
-void BIO_Mem_Decode_Seek (unsigned long pos, mem_bitio_state * bs);
+void BIO_Mem_Decode_Seek (mg_u_long pos, mem_bitio_state * bs);
 
 
Index: main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_mems.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_mems.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/lib/bitio_mems.c	(revision 25147)
@@ -30,5 +30,5 @@
 
 void 
-BIO_Mems_Encode_Start (unsigned char *buf, unsigned long pos,
+BIO_Mems_Encode_Start (unsigned char *buf, mg_u_long pos,
 		       mems_bitio_state * bs)
 {
@@ -46,5 +46,5 @@
 
 void 
-BIO_Mems_Decode_Start (unsigned char *buf, unsigned long pos,
+BIO_Mems_Decode_Start (unsigned char *buf, mg_u_long pos,
 		       mems_bitio_state * bs)
 {
@@ -57,6 +57,6 @@
 
 void 
-BIO_Mems_Unary_Encode (unsigned long val, mems_bitio_state * bs,
-		       unsigned long *bits)
+BIO_Mems_Unary_Encode (mg_u_long val, mems_bitio_state * bs,
+		       mg_u_long *bits)
 {
   ENCODE_CONTINUE (*bs)
@@ -69,9 +69,9 @@
 
 
-unsigned long 
+mg_u_long 
 BIO_Mems_Unary_Decode (mems_bitio_state * bs,
-		       unsigned long *bits)
-{
-  register unsigned long val;
+		       mg_u_long *bits)
+{
+  register mg_u_long val;
   DECODE_CONTINUE (*bs)
     if (bits)
@@ -90,6 +90,6 @@
 
 void 
-BIO_Mems_Binary_Encode (unsigned long val, unsigned long b,
-			mems_bitio_state * bs, unsigned long *bits)
+BIO_Mems_Binary_Encode (mg_u_long val, mg_u_long b,
+			mems_bitio_state * bs, mg_u_long *bits)
 {
   ENCODE_CONTINUE (*bs)
@@ -102,9 +102,9 @@
 
 
-unsigned long 
-BIO_Mems_Binary_Decode (unsigned long b, mems_bitio_state * bs,
-			unsigned long *bits)
-{
-  register unsigned long val;
+mg_u_long 
+BIO_Mems_Binary_Decode (mg_u_long b, mems_bitio_state * bs,
+			mg_u_long *bits)
+{
+  register mg_u_long val;
   DECODE_CONTINUE (*bs)
     if (bits)
@@ -123,6 +123,6 @@
 
 void 
-BIO_Mems_Gamma_Encode (unsigned long val, mems_bitio_state * bs,
-		       unsigned long *bits)
+BIO_Mems_Gamma_Encode (mg_u_long val, mems_bitio_state * bs,
+		       mg_u_long *bits)
 {
   ENCODE_CONTINUE (*bs)
@@ -135,8 +135,8 @@
 
 
-unsigned long 
-BIO_Mems_Gamma_Decode (mems_bitio_state * bs, unsigned long *bits)
-{
-  register unsigned long val;
+mg_u_long 
+BIO_Mems_Gamma_Decode (mems_bitio_state * bs, mg_u_long *bits)
+{
+  register mg_u_long val;
   DECODE_CONTINUE (*bs)
     if (bits)
@@ -152,6 +152,6 @@
 
 void 
-BIO_Mems_Delta_Encode (unsigned long val, mems_bitio_state * bs,
-		       unsigned long *bits)
+BIO_Mems_Delta_Encode (mg_u_long val, mems_bitio_state * bs,
+		       mg_u_long *bits)
 {
   ENCODE_CONTINUE (*bs)
@@ -164,8 +164,8 @@
 
 
-unsigned long 
-BIO_Mems_Delta_Decode (mems_bitio_state * bs, unsigned long *bits)
-{
-  register unsigned long val;
+mg_u_long 
+BIO_Mems_Delta_Decode (mems_bitio_state * bs, mg_u_long *bits)
+{
+  register mg_u_long val;
   DECODE_CONTINUE (*bs)
     if (bits)
@@ -178,6 +178,6 @@
 
 void 
-BIO_Mems_Elias_Encode (unsigned long val, unsigned long b, double s,
-		       mems_bitio_state * bs, unsigned long *bits)
+BIO_Mems_Elias_Encode (mg_u_long val, mg_u_long b, double s,
+		       mems_bitio_state * bs, mg_u_long *bits)
 {
   ENCODE_CONTINUE (*bs)
@@ -190,9 +190,9 @@
 
 
-unsigned long 
-BIO_Mems_Elias_Decode (unsigned long b, double s,
-		       mems_bitio_state * bs, unsigned long *bits)
-{
-  register unsigned long val;
+mg_u_long 
+BIO_Mems_Elias_Decode (mg_u_long b, double s,
+		       mems_bitio_state * bs, mg_u_long *bits)
+{
+  register mg_u_long val;
   DECODE_CONTINUE (*bs)
     if (bits)
@@ -205,6 +205,6 @@
 
 void 
-BIO_Mems_Bblock_Encode (unsigned long val, unsigned long b,
-			mems_bitio_state * bs, unsigned long *bits)
+BIO_Mems_Bblock_Encode (mg_u_long val, mg_u_long b,
+			mems_bitio_state * bs, mg_u_long *bits)
 {
   ENCODE_CONTINUE (*bs)
@@ -217,9 +217,9 @@
 
 
-unsigned long 
-BIO_Mems_Bblock_Decode (unsigned long b, mems_bitio_state * bs,
-			unsigned long *bits)
-{
-  register unsigned long val;
+mg_u_long 
+BIO_Mems_Bblock_Decode (mg_u_long b, mems_bitio_state * bs,
+			mg_u_long *bits)
+{
+  register mg_u_long val;
   DECODE_CONTINUE (*bs)
     if (bits)
@@ -232,5 +232,5 @@
 
 void 
-BIO_Mems_Decode_Seek (unsigned long pos, mems_bitio_state * bs)
+BIO_Mems_Decode_Seek (mg_u_long pos, mems_bitio_state * bs)
 {
   DECODE_CONTINUE (*bs)
@@ -240,5 +240,5 @@
 
 void 
-BIO_Mems_Encode_Seek (unsigned long pos, mems_bitio_state * bs)
+BIO_Mems_Encode_Seek (mg_u_long pos, mems_bitio_state * bs)
 {
   ENCODE_CONTINUE (*bs)
